"use strict";
/*  This was originally maintained by the webpack team.
    Webpack has retired and archived the original project.
    https://github.com/webpack-contrib/istanbul-instrumenter-loader
*/
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const convert_source_map_1 = __importDefault(require("convert-source-map"));
const loader_utils_1 = __importDefault(require("loader-utils"));
const options_json_1 = __importDefault(require("./options.json"));
const schema_utils_1 = __importDefault(require("schema-utils"));
const istanbul_lib_instrument_1 = require("istanbul-lib-instrument");
function default_1(source, sourceMap) {
    const options = Object.assign({ produceSourceMap: true }, loader_utils_1.default.getOptions(this));
    (0, schema_utils_1.default)(options_json_1.default, options, {
        name: 'Istanbul Instrumenter Loader',
        baseDataPath: 'options'
    });
    let srcMap = sourceMap;
    // use inline source map, if any
    if (!srcMap) {
        const inlineSourceMap = convert_source_map_1.default.fromSource(source);
        if (inlineSourceMap) {
            srcMap = inlineSourceMap.sourcemap;
        }
    }
    const instrumenter = (0, istanbul_lib_instrument_1.createInstrumenter)(options);
    instrumenter.instrument(source, this.resourcePath, (error, instrumentedSource) => {
        this.callback(error, instrumentedSource, instrumenter.lastSourceMap());
    }, srcMap);
}
exports.default = default_1;
//# sourceMappingURL=index.js.map